%define major 0
%define libname %mklibname %{name}_ %{major}
%define girname %mklibname udisks-gir 2.0
%define default_luks_encryption luks2
%define glib2_version           2.6.0
%define dbus_version            1.2
%define dbus_glib_version       0.82
%define polkit_version          0.92
%define parted_version          1.8.8
%define udev_version            173
%define mdadm_version           2.6.7
%define device_mapper_version   1.02
%define libatasmart_version     0.12
%define sg3_utils_version       1.27
%define smp_utils_version       0.94
%define lvm2_version            2.02.61
%define blockdev_version        2.25

Summary: Storage Management Service
Name: udisks2
Version: 2.9.4
Release: %mkrel 3
License: GPLv2+
Group: System/Libraries
URL: http://www.freedesktop.org/wiki/Software/udisks
Source0: http://hal.freedesktop.org/releases/udisks-%version.tar.xz
Source1: org.freedesktop.udisks2.policy
Source2: 80-udisks2.rules
Source3: udisks2-inhibit

Patch0:  ignore-apple-boot-part.patch
Patch1:  udisks-2.10.0-doc_annotations.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: dbus-devel  >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: polkit-1-devel >= %{polkit_version}
BuildRequires: parted-devel >= %{parted_version}
BuildRequires: device-mapper-devel >= %{device_mapper_version}
BuildRequires: intltool
BuildRequires: lib64atasmart-devel >= %{libatasmart_version}
BuildRequires: libgudev-devel >= %{udev_version}
BuildRequires: lib64blockdev-devel >= %{blockdev_version}
BuildRequires: lib64bd_part-devel >= %{blockdev_version}
BuildRequires: lib64bd_loop-devel >= %{blockdev_version}
BuildRequires: lib64bd_swap-devel >= %{blockdev_version}
BuildRequires: lib64bd_mdraid-devel >= %{blockdev_version}
BuildRequires: lib64bd_fs-devel >= %{blockdev_version}
BuildRequires: lib64bd_crypto-devel >= %{blockdev_version}
BuildRequires: lib64bd_lvm-devel >= %{blockdev_version}
BuildRequires: lib64bd_btrfs-devel >= %{blockdev_version}
BuildRequires: libudev-devel >= %{udev_version}
BuildRequires: sg3_utils >= %{sg3_utils_version}
BuildRequires: libsgutils-devel
BuildRequires: gtk-doc
BuildRequires: lib64lvm2cmd-devel >= %{lvm2_version}
BuildRequires: libtool
BuildRequires: lib64girepository-devel

Requires: dbus >= %{dbus_version}
Requires: udev >= %{udev_version}
Requires: e2fsprogs
Requires: lib64blockdev2 >= %{blockdev_version}
Requires: lib64bd_utils2 >= %{blockdev_version}
Requires: mtools
Requires: lib64bd_crypto2
Requires: lib64bd_fs2
Requires: lib64bd_mdraid2
Requires: lib64bd_swap2
Requires: lib64bd_part2
Requires: lib64bd_loop2
Obsoletes: devicekit-disks <= 009
Provides: devicekit-disks = 010

%description
udisks provides a daemon, D-Bus API and command line tools
for managing disks and storage devices.

%package devel
Summary: D-Bus interface definitions for udisks
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
D-Bus interface definitions and documentation for udisks.

%prep
%setup -q -n udisks-%{version}
%apply_patches
sed -i udisks/udisks2.conf.in -e "s/encryption=luks1/encryption=%{default_luks_encryption}/"
%build
%configure2_5x \
	--disable-static \
	--disable-gtk-doc \
	--disable-bcache \
	--enable-btrfs \
	--enable-lvm2 \
	--disable-lsm \
	--enable-lvmcache \
	--disable-zram \
	--disable-vdo \
	%{nil}
%make_build

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

#install udisks2-inhibit
install -pm 0755 %SOURCE3 $RPM_BUILD_ROOT%{_libexecdir}/udisks2/udisks2-inhibit

# symlink to old location until things are fixed...
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/udisks2
ln -sr $RPM_BUILD_ROOT%{_libexecdir}/udisks2/udisks2-inhibit \
       $RPM_BUILD_ROOT%{_prefix}/lib/udisks2/udisks2-inhibit

#our rules
install -m 0644 %SOURCE1 $RPM_BUILD_ROOT/%{_datadir}/polkit-1/actions/org.freedesktop.UDisks2.policy
install -m 0644 %SOURCE2 $RPM_BUILD_ROOT//lib/udev/rules.d/80-udisks2.rules

mkdir $RPM_BUILD_ROOT/run
mkdir -p %buildroot%{_localstatedir}/lib/%{name}

find %{buildroot} -name '*.la' -delete

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_datadir}/dbus-1/system.d/org.freedesktop.UDisks2.conf
%{_sysconfdir}/udisks2/udisks2.conf
%{_sysconfdir}/udisks2/mount_options.conf.example
%{_datadir}/bash-completion/completions/udisksctl 
/lib/udev/rules.d/80-udisks2.rules
%{_sbindir}/umount.udisks2
%{_bindir}/udisksctl
%{_mandir}/man1/*
%{_mandir}/man8/*
%{_mandir}/man5/*
%{_datadir}/polkit-1/actions/org.freedesktop.UDisks2*.policy
%{_datadir}/dbus-1/system-services/org.freedesktop.UDisks2.service
%attr(0700,root,root) %dir %{_localstatedir}/lib/udisks2
%{_libdir}/libudisks2.so.%{major}*
%{_libdir}/udisks2/modules/libudisks2_*.so
%{_libdir}/girepository-1.0/UDisks-2.0.typelib
%attr(0755,root,root) %dir /run
%dir %{_libexecdir}/udisks2
%{_libexecdir}/udisks2/udisksd
%{_libexecdir}/udisks2/udisks2-inhibit
%attr(0700,root,root) %dir %{_localstatedir}/lib/udisks2
%dir %{_prefix}/lib/udisks2/
%{_prefix}/lib/udisks2/udisks2-inhibit

%files devel
%defattr(-,root,root,-)
%{_libdir}/libudisks2.so
%dir %{_includedir}/udisks2
%dir %{_includedir}/udisks2/udisks
%{_includedir}/udisks2/udisks/*.h
%{_datadir}/gir-1.0/UDisks-2.0.gir
%dir %{_datadir}/gtk-doc/html/udisks2
%{_datadir}/gtk-doc/html/udisks2/*
%{_libdir}/pkgconfig/udisks2.pc
%{_libdir}/pkgconfig/udisks2-*.pc

%posttrans
echo "A reboot is recommended after updating udisk2."

%changelog
* Sat Jun 26 2022 tex - 2.9.4-3pclos2022
- fix requires

* Thu Jun 23 2022 tex - 2.9.4-2pclos2022
- fix spec file

* Wed Jun 22 2022 yodelu 2.9.4-1pclos2022
- update

* Sat Mar 05 2016 bb <bb> 2.1.6-1pclos2016
- update

* Wed Oct 07 2014 bb <bb> 2.1.3-2pclos2014
- add media rule to 80-udisks2.rules

* Tue Sep 30 2014 bb <bb> 2.1.3-1pclos2014
- update

